package com.contabilidad.EntConta;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigDecimal;

@Embeddable
public class PartidasPK implements Serializable {

    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 4)
    @Column(name = "numero_partidas")
    private String numeroPartidas;

    @Basic(optional = false)
    @NotNull
    @Column(name = "anio_partida")
    private String anioPartida;

    public String getNumeroPartidas() {
        return numeroPartidas;
    }

    public void setNumeroPartidas(String numeroPartidas) {
        this.numeroPartidas = numeroPartidas;
    }

    public String getAnioPartida() {
        return anioPartida;
    }

    public void setAnioPartida(String anioPartida) {
        this.anioPartida = anioPartida;
    }

    public PartidasPK() {
    }
}
